import { type Base, genBase } from './_base'
import type { Employee } from './employee'

export interface InstallationPosition extends Base {
  installation_id: number
  code: string
  name: string
  headStatus?: boolean
  employee_id?: number

  employee?: Employee | null
}

export function genInstallationPosition(): InstallationPosition {
  return {
    ...genBase(),
    installation_id: 0,
    code: '',
    name: '',
    headStatus: false,
    employee_id: 0,
  }
}
